package org.seasar.tapestry.ognl.binder.impl;

import org.seasar.framework.container.S2Container;
import org.seasar.framework.container.factory.SingletonS2ContainerFactory;
import org.seasar.tapestry.ognl.binder.Binder;

/**
 * @author Masataka Kurihara (Gluegent, Inc.)
 */
public class ListenerComponentBinder implements Binder{
	public Object getBinging(String componentKey) {
        S2Container container = SingletonS2ContainerFactory.getContainer(); 
        Object component = container.getComponent(componentKey);
        return new ListenerMethodBinder(component);
	}
}
